XERBLA(3F)

NAME
XERBLA - an error handler for the LAPACK routines

SYNOPSIS

SUBROUTINE XERBLA(
    SRNAME, INFO )

CHARACTER*6
    SRNAME

INTEGER
    INFO

PURPOSE
XERBLA is an error handler for the LAPACK routines. It is called by an LAPACK routine if an input parameter has an invalid value. A message is printed and execution stops. Installers may consider modifying the STOP statement in order to call system-specific exception-handling facilities.

ARGUMENTS

SRNAME  (input) CHARACTER*6
    The name of the routine which called XERBLA.

INFO    (input) INTEGER
    The position of the invalid parameter in the parameter list of the calling routine.